[Twisted-Python] Which OpenSSL Package Does Twisted 2.5 Need On Linux? Where can I get it?

Jonathan Mark jonathansamuel at yahoo.com
Fri Dec 21 00:33:49 EST 2007

Running the email server script from Abe Fettig's Twisted book produces the following error:

"ImportError: No module named OpenSSL"

There are a number of versions of a number of Python modules with a similar name. PyOpenSSL has not been updated since 2004 and only has a .6 version number.

Which OpenSSL module or other modules should I install with Twisted 2.5 on Linux in order to avoid this error message. I am using the CentOs 4 version of Linux which is similar to RHEL 4.

More information about the Twisted-Python mailing list